## kerneloops 0.10

=== Makefile ===

#
# to build this package, you need to have the following components installed:
# dbus-glib-devel libnotify-devel gtk2-devel curl-devel
#

BINDIR=/usr/bin
LOCALESDIR=/usr/share/locale
MANDIR=/usr/share/man/man8
CC?=gcc

CFLAGS := -O2 -g -fstack-protector -D_FORTIFY_SOURCE=2 -Wall -W -Wstrict-prototypes -Wundef -fno-common -Werror-implicit-function-declaration -Wdeclaration-after-statement

MY_CFLAGS := `pkg-config --cflags libnotify gtk+-2.0`
#
# pkg-config tends to make programs pull in a ton of libraries, not all 
# are needed. -Wl,--as-needed tells the linker to just drop unused ones,
# and that makes the applet load faster and use less memory.
#
LDF_A := -Wl,--as-needed `pkg-config --libs libnotify gtk+-2.0`
LDF_D := -Wl,--as-needed `pkg-config --libs glib-2.0 dbus-glib-1` `curl-config --libs` -Wl,"-z relro" -Wl,"-z now" 

all:	kerneloops kerneloops-applet kerneloops.1.gz

.c.o:
	$(CC) $(CFLAGS) $(MY_CFLAGS) -c -o $@ $<
 

kerneloops:	kerneloops.o submit.o dmesg.o configfile.o kerneloops.h
	gcc kerneloops.o submit.o dmesg.o configfile.o $(LDF_D) -o kerneloops
	@(cd po/ && $(MAKE))

kerneloops-applet: kerneloops-applet.o
	gcc kerneloops-applet.o $(LDF_A)-o kerneloops-applet

kerneloops.1.gz: kerneloops.1
	gzip -9 -c $< > $@

clean:
	rm -f *~ *.o *.ko DEADJOE kerneloops kerneloops-applet *.out */*~ kerneloops.1.gz
	@(cd po/ && $(MAKE) $@)

dist: clean
	rm -rf .git .gitignore push.sh .*~  */*~ test/*dbg


install: kerneloops kerneloops-applet kerneloops.1.gz
	mkdir -p $(DESTDIR)/usr/sbin/ $(DESTDIR)/etc/xdg/autostart
	mkdir -p $(DESTDIR)/usr/share/kerneloops $(DESTDIR)/etc/dbus-1/system.d/
	mkdir -p $(DESTDIR)$(BINDIR) $(DESTDIR)$(MANDIR)
	install -m 0755 kerneloops $(DESTDIR)/usr/sbin
	install -m 0755 kerneloops-applet $(DESTDIR)$(BINDIR)
	install -m 0644 kerneloops.conf $(DESTDIR)/etc/kerneloops.conf
	desktop-file-install -m 0644 --dir=$(DESTDIR)/etc/xdg/autostart/ kerneloops-applet.desktop
	install -m 0644 kerneloops.dbus $(DESTDIR)/etc/dbus-1/system.d/
	install -m 0644 kerneloops.1.gz $(DESTDIR)$(MANDIR)
	install -m 0644 icon.png $(DESTDIR)/usr/share/kerneloops/icon.png
	@(cd po/ && env LOCALESDIR=$(LOCALESDIR) DESTDIR=$(DESTDIR) $(MAKE) $@)
	
	
# This is for translators. To update your po with new strings, do :
# svn up ; make uptrans LG=fr # or de, ru, hu, it, ...
uptrans:
	xgettext -C -s -k_ -o po/kerneloops.pot *.c *.h
	@(cd po/ && env LG=$(LG) $(MAKE) $@)

	

tests: kerneloops
	desktop-file-validate *.desktop
	for i in test/*txt ; do echo -n . ; ./kerneloops --debug $$i > $$i.dbg ; diff -u $$i.out $$i.dbg ; done ; echo
	[ -e /usr/bin/valgrind ] && for i in test/*txt ; do echo -n . ; valgrind -q --leak-check=full ./kerneloops --debug $$i > $$i.dbg ; diff -u $$i.out $$i.dbg ; done ; echo

valgrind: kerneloops tests
	valgrind -q --leak-check=full ./kerneloops --debug test/*.txt

## kerneloops 0.12%2Bgit20140509

=== debian/watch ===
version=3
opts=uversionmangle=s/_/./g,dversionmangle=s/.dfsg[0-9]*// \
	 https://github.com/oops-kernel-org/kerneloops/tags .*/v(\d.*)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))

## kerneloops 0.12+git20090217

=== Makefile ===

#
# to build this package, you need to have the following components installed:
# dbus-glib-devel libnotify-devel gtk2-devel curl-devel
#

BINDIR=/usr/bin
SBINDIR=/usr/sbin
LOCALESDIR=/usr/share/locale
MANDIR=/usr/share/man/man8
CC?=gcc

CFLAGS := -O2 -g -fstack-protector -D_FORTIFY_SOURCE=2 -Wall -W -Wstrict-prototypes -Wundef -fno-common -Werror-implicit-function-declaration -Wdeclaration-after-statement -Wformat -Wformat-security -Werror=format-security

MY_CFLAGS := `pkg-config --cflags libnotify gtk+-2.0`
#
# pkg-config tends to make programs pull in a ton of libraries, not all 
# are needed. -Wl,--as-needed tells the linker to just drop unused ones,
# and that makes the applet load faster and use less memory.
#
LDF_A := -Wl,--as-needed `pkg-config --libs libnotify gtk+-2.0`
LDF_D := -Wl,--as-needed `pkg-config --libs glib-2.0 dbus-glib-1` `curl-config --libs` -Wl,"-z relro" -Wl,"-z now" 

all:	kerneloops kerneloops-applet kerneloops.8.gz

noui:	kerneloops kerneloops.8.gz

.c.o:
	$(CC) $(CFLAGS) $(MY_CFLAGS) -c -o $@ $<
 

kerneloops:	kerneloops.o submit.o dmesg.o configfile.o kerneloops.h
	gcc kerneloops.o submit.o dmesg.o configfile.o $(LDF_D) -o kerneloops
	@(cd po/ && $(MAKE))

kerneloops-applet: kerneloops-applet.o
	gcc kerneloops-applet.o $(LDF_A)-o kerneloops-applet

kerneloops.8.gz: kerneloops.8
	gzip -9 -c $< > $@

clean:
	rm -f *~ *.o *.ko DEADJOE kerneloops kerneloops-applet *.out */*~ kerneloops.8.gz
	@(cd po/ && $(MAKE) $@)

dist: clean
	rm -rf .git .gitignore push.sh .*~  */*~ test/*dbg

install-system: kerneloops.8.gz
	-mkdir -p $(DESTDIR)$(MANDIR)
	-mkdir -p $(DESTDIR)/etc/dbus-1/system.d/
	install -m 0644 kerneloops.conf $(DESTDIR)/etc/kerneloops.conf
	install -m 0644 kerneloops.dbus $(DESTDIR)/etc/dbus-1/system.d/
	install -m 0644 kerneloops.8.gz $(DESTDIR)$(MANDIR)/
	@(cd po/ && env LOCALESDIR=$(LOCALESDIR) DESTDIR=$(DESTDIR) $(MAKE) install)

install-kerneloops: kerneloops
	-mkdir -p $(DESTDIR)$(SBINDIR)
	install -m 0755 kerneloops $(DESTDIR)$(SBINDIR)/

install-applet: kerneloops-applet
	-mkdir -p $(DESTDIR)$(BINDIR)
	-mkdir -p $(DESTDIR)/etc/xdg/autostart
	-mkdir -p $(DESTDIR)/usr/share/kerneloops
	install -m 0755 kerneloops-applet $(DESTDIR)$(BINDIR)/
	desktop-file-install --mode 0644 --dir=$(DESTDIR)/etc/xdg/autostart/ kerneloops-applet.desktop
	install -m 0644 icon.png $(DESTDIR)/usr/share/kerneloops/icon.png

install: install-system install-kerneloops install-applet

install-noui: install-system install-kerneloops


# This is for translators. To update your po with new strings, do :
# svn up ; make uptrans LG=fr # or de, ru, hu, it, ...
uptrans:
	xgettext -C -s -k_ -o po/kerneloops.pot *.c *.h
	@(cd po/ && env LG=$(LG) $(MAKE) $@)

	

tests: kerneloops
	desktop-file-validate *.desktop
	for i in test/*txt ; do echo -n . ; ./kerneloops --debug $$i > $$i.dbg ; diff -u $$i.out $$i.dbg ; done ; echo
	[ -e /usr/bin/valgrind ] && for i in test/*txt ; do echo -n . ; valgrind -q --leak-check=full ./kerneloops --debug $$i > $$i.dbg ; diff -u $$i.out $$i.dbg ; done ; echo

valgrind: kerneloops tests
	valgrind -q --leak-check=full ./kerneloops --debug test/*.txt

=== po/Makefile ===
#
# Request to translators: Please don't send me patches agaist .po files;
# experience has shown that this gets too mangled by email clients due
# to UTF-8 and such. What works best is just attaching the full .po file
# to an email.
#



SRC=$(wildcard *.po)
OBJ= $(SRC:.po=.mo)
INST= $(SRC:.po=.inst)

translations: $(OBJ)
	
%.mo: %.po
	-@msgfmt -o $@  $<

clean:
	rm -f *.mo *~

# hack to automate installation dynamicaly, without previous knowledge of 
# the po/mo file list (we fool make by pretending the need for .inst files).
install: $(OBJ) $(INST)

%.inst: %.mo
	mkdir -p $(DESTDIR)$(LOCALESDIR)/$*/LC_MESSAGES/
	-cp -f $< $(DESTDIR)$(LOCALESDIR)/$*/LC_MESSAGES/kerneloops.mo

uptrans: $(LG).po

$(LG).po: kerneloops.pot
ifdef LG
	msgmerge -U $@ $<
else
	@echo "Usage : make uptrans LG=xx # with xx = de, es, fi ..."
	@exit 1
endif

=== debian/changelog ===
kerneloops (0.12+git20090217-3ubuntu8) trusty; urgency=medium

  * source_kerneloops.py: Add missing required argument for attach_dmesg()

 -- Brian Murray <brian@ubuntu.com>  Wed, 02 Apr 2014 07:37:37 -0700

kerneloops (0.12+git20090217-3ubuntu7) trusty; urgency=medium

  * Add in an apport package that captures recent kernel syslog messages and
    dmesg to aid in tracking down some crashes in kerneloops.

 -- Brian Murray <brian@ubuntu.com>  Fri, 28 Mar 2014 14:26:25 -0700

kerneloops (0.12+git20090217-3ubuntu6) trusty; urgency=medium

  * Add ubuntu-set-poll-to-60-seconds.patch: Reduce polling to every 60
    seconds (LP: #1289311). The default polling was every 10 seconds, which is
    a little excessive.

 -- Colin King <colin.king@canonical.com>  Wed, 12 Mar 2014 12:33:33 +0100

kerneloops (0.12+git20090217-3ubuntu5) trusty; urgency=medium

  [ Colin King ]
  * fix memleak and add alloc null pointer checks (LP: #1287109)
    - memleak of buffer c in writefunction()
    - null pointer checks in extract_oops() and scan_dmesg() (LP: #1026251)

  [ Brian Murray ]
  * fix null pointer check in fill_lineinfo() (LP: #1026300)

 -- Brian Murray <brian@ubuntu.com>  Wed, 05 Mar 2014 08:58:57 -0800

kerneloops (0.12+git20090217-3ubuntu4) trusty; urgency=medium

  * Enable kerneloops for trusty.

 -- Brian Murray <brian@ubuntu.com>  Thu, 13 Feb 2014 14:33:45 -0800

kerneloops (0.12+git20090217-3ubuntu3) quantal; urgency=low

  * Disable kerneloops for quantal as it is crashing regularly.
    See further Launchpad bugs 1026300 and 1026251. 

 -- Brian Murray <brian@ubuntu.com>  Fri, 20 Jul 2012 09:35:30 -0700

kerneloops (0.12+git20090217-3ubuntu2) quantal; urgency=low

  *  Enable kerneloops for quantal. 

 -- Brian Murray <brian@ubuntu.com>  Tue, 17 Jul 2012 14:13:22 -0700

kerneloops (0.12+git20090217-3ubuntu1) quantal; urgency=low

  * Daemon is disabled by default as the kerneloops.org web-site
    is down.
  * Merge from Debian unstable. (LP: #1006299) Remaining changes:
    - ubuntu-adapt-dmesg.patch
      - Avoid bug 422536's WARNING as it isn't a WARN().
      - Avoid another way that edac complains loudly. (LP: 525792)
    - ubuntu-add-submit-pipe.patch
      - Add a "submit-pipe" configuration option for passing the oops to
        another tool. Set it to pipe to apport for Ubuntu.
      - Add kerneloops-submit which will allow apport to submit an oops.
      - submit.c: do not report OOPSes with WARNING in them (LP: 346303)
      - Don't scan the log file, just rely on dmesg for now to avoid a flood
        of duplicate reports. Thanks Matt Zimmerman. (LP: 429000)
    - ubuntu-change-syslog-location.patch
      - Change log-file option to point to /var/log/kern.log instead of
        /var/log/messages.
    - ubuntu-ignore-newline.patch
      - Ensure that the newline is not included in the value when parsing
        string values (LP: 344813)
    - Create a kernoops system user and run the daemon as that, using
      start-stop-daemon. (Running in the adm group ensures it can
      read the logs).
      - Add postinst/postrm to add/remove the user.
      - Depend on adduser.
      - Tweak the dbus conf so that the new user can own the dbus names
        (ubuntu-kernoops-user.patch).
    - Don't stop the daemon in runlevels 0 or 6 as sendsigs can quite
      happily kill it for us.
    - Add apport to Recommends as it will be needed to report any oopses
      now if you don't edit the configuration file.

 -- Stefan Bader <stefan.bader@canonical.com>  Tue, 12 Jun 2012 15:05:45 +0200

kerneloops (0.12+git20090217-3) unstable; urgency=low

  * QA upload.
  * Add missing build dependency on libdbus-glib-1-dev (Closes: #669456)

 -- Michael Biebl <biebl@debian.org>  Thu, 19 Apr 2012 22:06:26 +0200

kerneloops (0.12+git20090217-2) unstable; urgency=low

  * QA upload.
  * Orphan the package with QA Team approval
  * Split package into applet and daemon packages (Closes: #476328)
  * debian/control:
    - Add ${misc:Depends} to Depends
    - Bump debhelper compatibitily to 8
    - Bump Standards-Version to 3.9.2
    - Add lsb-base Dependency
    - Set arch:linux-any as this software is only relevant with Linux kernel
    - Add Homepage field
    - Add Vcs- fields
  * debian/rules:
    - Switch to dh sequence
  * Switch to dpkg-source 3.0 (quilt) format and split up existing patches
  * debian/copyright: Add Copyright statements
  * debian/kerneloops.init:
    - Use our own version of the init file instead of upstream one
    - Use LSB function for logging (Closes: #477418)
    - Source /etc/default/kerneloops instead of /etc/sysconfig/kerneloops
      (Closes: #588493)
    - Exit immediately if the package is not installed (Closes: #496253, 540684)
  * Add debian/gbp.conf file
  * debian/patches/l10n_da.patch: Add Danish translation (Closes: #610098)
  * debian/patches/l10n_de.patch: Add German translation (Closes: #624658)

 -- Laurent Bigonville <bigon@debian.org>  Thu, 01 Dec 2011 17:37:21 +0100

kerneloops (0.12+git20090217-1.1) unstable; urgency=low

  * Non-maintainer upload
  * Fix compatibility with libnotify 0.7 API (closes: #636297)
  * Add now missing dependencies on libgtk2.0-dev
  * Add dbus-glib-1 to pkg-config calls in Makefile

 -- Jérémy Bobbio <lunar@debian.org>  Fri, 05 Aug 2011 18:53:41 +0200

kerneloops (0.12+git20090217-1ubuntu19) precise; urgency=low

  * Disable kerneloops for final release.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 17 Apr 2012 18:09:39 +0200

kerneloops (0.12+git20090217-1ubuntu18) precise; urgency=low

  * Enable kerneloops for precise. 

 -- Brian Murray <brian@ubuntu.com>  Fri, 13 Jan 2012 03:55:50 -0800

kerneloops (0.12+git20090217-1ubuntu17) precise; urgency=low

  * Disable kerneloops, while kerneloops.org is offline.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 24 Nov 2011 11:06:44 +0100

kerneloops (0.12+git20090217-1ubuntu16) precise; urgency=low

  * Re-enable kerneloops for precise.



=== debian/control ===
Source: kerneloops
Build-Depends: debhelper (>= 8), libcurl4-gnutls-dev | libcurl-dev, libgtk2.0-dev, libnotify-dev, libdbus-glib-1-dev, desktop-file-utils
Section: utils
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian QA Group <packages@qa.debian.org>
Standards-Version: 3.9.2
Homepage: http://www.kerneloops.org/
Vcs-Git: git://anonscm.debian.org/git/collab-maint/kerneloops.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/kerneloops.git

Package: kerneloops
Architecture: linux-any
Section: oldlibs
Priority: extra
Depends: kerneloops-applet, ${misc:Depends}
Description: kernel oops tracker (transitional package)
 This is a transitional package for splitting the kerneloops package
 into the kerneloops-daemon package and the kerneloops-applet package.
 In the future, the kerneloops package will contain only the
 kerneloops daemon, and not the applet.  If you want the kerneloops
 applet, you should explicitly install the kerneloops-applet package.

Package: kerneloops-daemon
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base (>= 3.2-14), adduser
Replaces: kerneloops (<< 0.12+git20090217-2)
Breaks: kerneloops (<< 0.12+git20090217-2)
Recommends: apport
Description: kernel oops tracker
 kerneloops is a daemon that collects kernel crash information and then
 submits the extracted signature to the kerneloops.org website for
 statistical analysis and presentation to the Linux kernel developers.

Package: kerneloops-applet
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}, kerneloops-daemon (= ${binary:Version})
Replaces: kerneloops (<< 0.12+git20090217-2)
Breaks: kerneloops (<< 0.12+git20090217-2)
Description: applet for the kernel oops tracker
 The kerneloops applet allows the kerneloops crash reporting utility
 to ask a desktop user for permission before submitting an oops report
 to the kerneloops.org website.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_installinit:
	dh_installinit -pkerneloops-daemon --name=kerneloops

=== debian/watch ===
version=3
http://www.kerneloops.org/download/kerneloops-(.*)\.tar\.gz

## kerneloops 0.12+git20090217-1ubuntu19

=== Makefile ===
--- 
+++ 
@@ -12,16 +12,16 @@
 
 CFLAGS := -O2 -g -fstack-protector -D_FORTIFY_SOURCE=2 -Wall -W -Wstrict-prototypes -Wundef -fno-common -Werror-implicit-function-declaration -Wdeclaration-after-statement -Wformat -Wformat-security -Werror=format-security
 
-MY_CFLAGS := `pkg-config --cflags libnotify gtk+-2.0`
+MY_CFLAGS := `pkg-config --cflags libnotify gtk+-2.0 dbus-glib-1` 
 #
 # pkg-config tends to make programs pull in a ton of libraries, not all 
 # are needed. -Wl,--as-needed tells the linker to just drop unused ones,
 # and that makes the applet load faster and use less memory.
 #
-LDF_A := -Wl,--as-needed `pkg-config --libs libnotify gtk+-2.0`
+LDF_A := -Wl,--as-needed `pkg-config --libs libnotify gtk+-2.0 dbus-glib-1`
 LDF_D := -Wl,--as-needed `pkg-config --libs glib-2.0 dbus-glib-1` `curl-config --libs` -Wl,"-z relro" -Wl,"-z now" 
 
-all:	kerneloops kerneloops-applet kerneloops.8.gz
+all:	kerneloops kerneloops-applet kerneloops-submit kerneloops.8.gz
 
 noui:	kerneloops kerneloops.8.gz
 
@@ -36,11 +36,14 @@
 kerneloops-applet: kerneloops-applet.o
 	gcc kerneloops-applet.o $(LDF_A)-o kerneloops-applet
 
+kerneloops-submit: kerneloops-submit.o configfile.o
+	gcc kerneloops-submit.o configfile.o $(LDF_D) -o kerneloops-submit
+
 kerneloops.8.gz: kerneloops.8
 	gzip -9 -c $< > $@
 
 clean:
-	rm -f *~ *.o *.ko DEADJOE kerneloops kerneloops-applet *.out */*~ kerneloops.8.gz
+	rm -f *~ *.o *.ko DEADJOE kerneloops kerneloops-applet *.out */*~ kerneloops.8.gz test/*.dbg
 	@(cd po/ && $(MAKE) $@)
 
 dist: clean
@@ -58,6 +61,10 @@
 	-mkdir -p $(DESTDIR)$(SBINDIR)
 	install -m 0755 kerneloops $(DESTDIR)$(SBINDIR)/
 
+install-kerneloops-submit: kerneloops-submit
+	-mkdir -p $(DESTDIR)$(BINDIR)
+	install -m 0755 kerneloops-submit $(DESTDIR)$(BINDIR)/
+
 install-applet: kerneloops-applet
 	-mkdir -p $(DESTDIR)$(BINDIR)
 	-mkdir -p $(DESTDIR)/etc/xdg/autostart
@@ -66,9 +73,9 @@
 	desktop-file-install --mode 0644 --dir=$(DESTDIR)/etc/xdg/autostart/ kerneloops-applet.desktop
 	install -m 0644 icon.png $(DESTDIR)/usr/share/kerneloops/icon.png
 
-install: install-system install-kerneloops install-applet
+install: install-system install-kerneloops install-kerneloops-submit install-applet
 
-install-noui: install-system install-kerneloops
+install-noui: install-system install-kerneloops install-kerneloops-submit
 
 
 # This is for translators. To update your po with new strings, do :

=== debian/control ===
Source: kerneloops
Build-Depends: debhelper (>= 4), libcurl4-gnutls-dev | libcurl-dev, libnotify-dev, desktop-file-utils, libgtk2.0-dev, libdbus-glib-1-dev
Section: utils
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Matthew Wilcox <willy@debian.org>
Standards-Version: 3.8.1
Homepage: http://www.kerneloops.org/

Package: kerneloops
Architecture: any
Depends: kerneloops-applet
Description: kernel oops tracker
 This is a transitional package for splitting the kerneloops package
 into the kerneloops-daemon package and the kerneloops-applet package.
 In the future, the kerneloops package will contain only the
 kerneloops daemon, and not the applet.  If you want the kerneloops
 applet, you should explicitly install the kerneloops-applet package.

Package: kerneloops-daemon
Architecture: any
Depends: ${shlibs:Depends}, adduser
Conflicts: kerneloops (<< 0.12+git20090217-1ubuntu2)
Replaces: kerneloops (<< 0.12+git20090217-1ubuntu2)
Recommends: apport
Description: kernel oops tracker
 kerneloops is a daemon that collects kernel crash information and then
 submits the extracted signature to the kerneloops.org website for
 statistical analysis and presentation to the Linux kernel developers.

Package: kerneloops-applet
Architecture: any
Replaces: kerneloops (<< 0.12+git20090217-1ubuntu2)
Depends: ${shlibs:Depends}, kerneloops-daemon
Description: applet for the kernel oops tracker
 The kerneloops applet allows the kerneloops crash reporting utility
 to ask a desktop user for permission before submitting an oops report
 to the kerneloops.org website.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

build: build-stamp
build-stamp:
	dh_testdir
	$(MAKE) $(if $(findstring noopt,$(DEB_BUILD_OPTIONS)),CFLAGS+=-O0,)
ifneq ($(findstring nocheck,$(DEB_BUILD_OPTIONS)),nocheck)
	$(MAKE) tests
endif
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	$(MAKE) clean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/<packagename>
	$(MAKE) DESTDIR=`pwd`/debian/tmp install
	install -D -m 0755 kerneloops.init `pwd`/debian/kerneloops-daemon/etc/init.d/kerneloops
	install -D -m 0644 debian/kerneloops.default `pwd`/debian/kerneloops-daemon/etc/default/kerneloops
	dh_install

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_installexamples
	dh_installinit -pkerneloops-daemon --name=kerneloops -o -- start 20 2 3 4 5 . stop 20 1 .
#	dh_installdebconf	
#	dh_installman kerneloops.8
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## kerneloops 0.12+git20140509

=== Makefile ===
--- 
+++ 
@@ -12,7 +12,7 @@
 
 CFLAGS := -O2 -g -fstack-protector -D_FORTIFY_SOURCE=2 -Wall -W -Wstrict-prototypes -Wundef -fno-common -Werror-implicit-function-declaration -Wdeclaration-after-statement -Wformat -Wformat-security -Werror=format-security
 
-MY_CFLAGS := `pkg-config --cflags libnotify gtk+-2.0 dbus-glib-1` 
+MY_CFLAGS := `pkg-config --cflags libnotify gtk+-2.0 dbus-glib-1`
 #
 # pkg-config tends to make programs pull in a ton of libraries, not all 
 # are needed. -Wl,--as-needed tells the linker to just drop unused ones,
@@ -21,7 +21,7 @@
 LDF_A := -Wl,--as-needed `pkg-config --libs libnotify gtk+-2.0 dbus-glib-1`
 LDF_D := -Wl,--as-needed `pkg-config --libs glib-2.0 dbus-glib-1` `curl-config --libs` -Wl,"-z relro" -Wl,"-z now" 
 
-all:	kerneloops kerneloops-applet kerneloops-submit kerneloops.8.gz
+all:	kerneloops kerneloops-applet kerneloops.8.gz
 
 noui:	kerneloops kerneloops.8.gz
 
@@ -35,9 +35,6 @@
 
 kerneloops-applet: kerneloops-applet.o
 	gcc kerneloops-applet.o $(LDF_A)-o kerneloops-applet
-
-kerneloops-submit: kerneloops-submit.o configfile.o
-	gcc kerneloops-submit.o configfile.o $(LDF_D) -o kerneloops-submit
 
 kerneloops.8.gz: kerneloops.8
 	gzip -9 -c $< > $@
@@ -61,10 +58,6 @@
 	-mkdir -p $(DESTDIR)$(SBINDIR)
 	install -m 0755 kerneloops $(DESTDIR)$(SBINDIR)/
 
-install-kerneloops-submit: kerneloops-submit
-	-mkdir -p $(DESTDIR)$(BINDIR)
-	install -m 0755 kerneloops-submit $(DESTDIR)$(BINDIR)/
-
 install-applet: kerneloops-applet
 	-mkdir -p $(DESTDIR)$(BINDIR)
 	-mkdir -p $(DESTDIR)/etc/xdg/autostart
@@ -73,9 +66,9 @@
 	desktop-file-install --mode 0644 --dir=$(DESTDIR)/etc/xdg/autostart/ kerneloops-applet.desktop
 	install -m 0644 icon.png $(DESTDIR)/usr/share/kerneloops/icon.png
 
-install: install-system install-kerneloops install-kerneloops-submit install-applet
+install: install-system install-kerneloops install-applet
 
-install-noui: install-system install-kerneloops install-kerneloops-submit
+install-noui: install-system install-kerneloops
 
 
 # This is for translators. To update your po with new strings, do :

=== debian/changelog ===
kerneloops (0.12+git20140509-2ubuntu1) xenial; urgency=low

  * Merge from Debian unstable (LP: #1555738).  Remaining changes:
    - Additional Danish translation.
    - Use "kernoops" user for running the daemon.
      - Additional postinst and postrm to handle user creation and removal.
      - Modified sysvinit file (--chuid).
      - Modified systemd service file (User/Group).
    - Modified syslog location (/var/log/kern.log).
    - Ensure that any trailing newlines are stripped off when reading the
      config file.
    - Added submit-pipe option (via apport).
    - Added two messages about EDAC to be ignored (false positives).
    - Additional handling of allocation failures and one memleak in dmesg.c.
    - Change polling interval to 60s.
    - Kept kerneloops as a transitional package and kerneloops-daemon.
      - Renamed kerneloops.service file accordingly.

 -- Stefan Bader <stefan.bader@canonical.com>  Thu, 10 Mar 2016 16:22:43 +0100

kerneloops (0.12+git20140509-2) unstable; urgency=medium

  * Merge kerneloops-daemon package to kerneloops as planned by
    previous maintainer
  * Make VCS field canonical

  [ Alam_Squeeze from the #debian-systemd IRC channel ]
  * Add systemd service file (Closes: #805068)

 -- Balint Reczey <balint@balintreczey.hu>  Sat, 14 Nov 2015 21:54:18 +0400

kerneloops (0.12+git20140509-1) unstable; urgency=medium

  * New upstream snapshot
  * Adopt and reintroduce package to unstable (Closes: #772827)
  * Drop obsolete patches
  * Adopt the package
  * Bump standards version, no changes needed
  * Bump compat level to 9
  * Enable tests during the build
  * Build-depend on valgrind on amd64 and i386 to enable extensive testing
  * Add upstreamed patches
    - Let CFLAGS and friends passed to Make
    - Fix buffer overflow
  * Update site name to oops.kernel.org.
    Thanks to Ben Hutchings for pointing out the new site.
  * Fix configuration file parsing
  * Use oops.kernel.org host
  * Update watch file
  * Update homepage to oops.kernel.org in packaging files
  * Enable all hardening features

 -- Balint Reczey <balint@balintreczey.hu>  Sat, 24 Oct 2015 11:06:43 +0200

kerneloops (0.12+git20090217-3ubuntu9) xenial; urgency=medium

  * Add missing space to kerneloops-applet make recipe.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 29 Dec 2015 00:51:47 +0000

=== debian/control ===
Source: kerneloops
Build-Depends: debhelper (>= 9),
               libcurl4-gnutls-dev | libcurl-dev,
               libgtk2.0-dev,
               libnotify-dev,
               libdbus-glib-1-dev,
               desktop-file-utils,
               valgrind [amd64 i386],
               dh-systemd
Section: utils
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Balint Reczey <balint@balintreczey.hu>
Standards-Version: 3.9.6
Homepage: http://oops.kernel.org/
Vcs-Git: git://anonscm.debian.org/collab-maint/kerneloops.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/kerneloops.git

Package: kerneloops
Architecture: linux-any
Section: oldlibs
Priority: extra
Depends: kerneloops-applet, ${misc:Depends}
Description: kernel oops tracker (transitional package)
 This is a transitional package for splitting the kerneloops package
 into the kerneloops-daemon package and the kerneloops-applet package.
 In the future, the kerneloops package will contain only the
 kerneloops daemon, and not the applet.  If you want the kerneloops
 applet, you should explicitly install the kerneloops-applet package.

Package: kerneloops-daemon
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base (>= 3.2-14), adduser
Replaces: kerneloops (<< 0.12+git20140509-2)
Breaks: kerneloops (<< 0.12+git20140509-2)
Recommends: apport
Description: kernel oops tracker
 kerneloops is a daemon that collects kernel crash information and then
 submits the extracted signature to the oops.kernel.org website for
 statistical analysis and presentation to the Linux kernel developers.

Package: kerneloops-applet
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}, kerneloops (= ${binary:Version})
Replaces: kerneloops (<< 0.12+git20090217-2)
Breaks: kerneloops (<< 0.12+git20090217-2)
Description: applet for the kernel oops tracker
 The kerneloops applet allows the kerneloops crash reporting utility
 to ask a desktop user for permission before submitting an oops report
 to the oops.kernel.org website.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# This has to be exported to make some magic below work.
export DH_OPTIONS

%:
	dh $@ --with systemd

override_dh_installinit:
	dh_systemd_enable
	dh_installinit -p kerneloops-daemon --name kerneloops
	dh_systemd_start -p kerneloops-daemon --name kerneloops
override_dh_auto_test:
	$(MAKE) tests

## kerneloops 0.12+git20181124

=== Makefile ===
--- 
+++ 
@@ -9,32 +9,33 @@
 LOCALESDIR=/usr/share/locale
 MANDIR=/usr/share/man/man8
 CC?=gcc
+PKG_CONFIG?=pkg-config
 
-CFLAGS := -O2 -g -fstack-protector -D_FORTIFY_SOURCE=2 -Wall -W -Wstrict-prototypes -Wundef -fno-common -Werror-implicit-function-declaration -Wdeclaration-after-statement -Wformat -Wformat-security -Werror=format-security
+CFLAGS ?= -O2 -g -fstack-protector -D_FORTIFY_SOURCE=2 -Wall -W -Wstrict-prototypes -Wundef -fno-common -Werror-implicit-function-declaration -Wdeclaration-after-statement -Wformat -Wformat-security -Werror=format-security
 
-MY_CFLAGS := `pkg-config --cflags libnotify gtk+-2.0 dbus-glib-1`
+MY_CFLAGS = $(shell $(PKG_CONFIG) --cflags libnotify gtk+-2.0 dbus-glib-1)
 #
 # pkg-config tends to make programs pull in a ton of libraries, not all 
 # are needed. -Wl,--as-needed tells the linker to just drop unused ones,
 # and that makes the applet load faster and use less memory.
 #
-LDF_A := -Wl,--as-needed `pkg-config --libs libnotify gtk+-2.0 dbus-glib-1`
-LDF_D := -Wl,--as-needed `pkg-config --libs glib-2.0 dbus-glib-1` `curl-config --libs` -Wl,"-z relro" -Wl,"-z now" 
+LDF_A ?= -Wl,--as-needed $(shell $(PKG_CONFIG) --libs libnotify gtk+-2.0 dbus-glib-1) $(LDFLAGS)
+LDF_D ?= -Wl,--as-needed $(shell $(PKG_CONFIG) --libs glib-2.0 dbus-glib-1) $(shell curl-config --libs) -Wl,"-z relro" -Wl,"-z now" $(LDFLAGS)
 
 all:	kerneloops kerneloops-applet kerneloops.8.gz
 
 noui:	kerneloops kerneloops.8.gz
 
 .c.o:
-	$(CC) $(CFLAGS) $(MY_CFLAGS) -c -o $@ $<
- 
+	$(CC) $(MY_CFLAGS) $(CPPFLAGS) $(CFLAGS) -c -o $@ $<
+
 
 kerneloops:	kerneloops.o submit.o dmesg.o configfile.o kerneloops.h
-	gcc kerneloops.o submit.o dmesg.o configfile.o $(LDF_D) -o kerneloops
+	$(CC) kerneloops.o submit.o dmesg.o configfile.o $(LDF_D) -o kerneloops
 	@(cd po/ && $(MAKE))
 
 kerneloops-applet: kerneloops-applet.o
-	gcc kerneloops-applet.o $(LDF_A)-o kerneloops-applet
+	$(CC) kerneloops-applet.o $(LDF_A) -o kerneloops-applet
 
 kerneloops.8.gz: kerneloops.8
 	gzip -9 -c $< > $@

=== debian/changelog ===
kerneloops (0.12+git20181124-7) unstable; urgency=medium

  [ Stefan Bader ]
  * Change location of logfile.
    Changes the hard coded logfile into /var/log/kern.log

  [ Balint Reczey ]
  * Make kerneloops only suggest kerneloops-applet.
    The applet is not needed on servers and in Ubuntu Apport
    asks the user for permission to send the oops report.
  * Drop not working ExecStartPre option from kerneloops.service
    (Closes: #921210)
  * Add Salsa CI configuration
  * Migrate packaging to Salsa
  * New upstream snapshot 0.12+git20181124 (Closes: #875560)
  * Drop patches merged upstream
  * debian/control: Use my Ubuntu email address for Maintainer:
  * Bump debhelper version by build-depending on debhelper-compat (= 12)
  * Drop dh's --with systemd
  * Add Pre-Depends: ${misc:Pre-Depends} to kerneloops

 -- Balint Reczey <rbalint@ubuntu.com>  Sun, 16 Jun 2019 21:59:41 +0200

kerneloops (0.12+git20140509-6) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix FTCBFS: Use triplet-prefixed pkg-config (Closes: #844292)

  [ Balint Reczey ]
  * Present URL-s in kerneloops-applet notifications as normal text

 -- Balint Reczey <balint@balintreczey.hu>  Mon, 14 Nov 2016 11:52:29 +0100

kerneloops (0.12+git20140509-5) unstable; urgency=medium

  * Rename conffile in maintainer scripts properly (Closes: 837760)

 -- Balint Reczey <balint@balintreczey.hu>  Wed, 14 Sep 2016 17:27:07 +0200

kerneloops (0.12+git20140509-4) unstable; urgency=medium

  * Ship dbus configuration file with .conf postfix (Closes: 810647)

 -- Balint Reczey <balint@balintreczey.hu>  Wed, 07 Sep 2016 20:13:47 +0200

kerneloops (0.12+git20140509-3) unstable; urgency=medium

  [ Axel Beckert ]
  * Fix daemon stop and restart in init script (Closes: #805067)

  [ Balint Reczey ]
  * Reformat and clean up debian/control using cme
  * Fix typo in debian/control
  * Bump policy version

 -- Balint Reczey <balint@balintreczey.hu>  Fri, 17 Jun 2016 18:45:59 -0700

=== debian/control ===
Source: kerneloops
Maintainer: Balint Reczey <rbalint@ubuntu.com>
Section: utils
Priority: optional
Build-Depends: debhelper-compat (= 12),
               libcurl4-gnutls-dev | libcurl-dev,
               libgtk2.0-dev,
               libnotify-dev,
               libdbus-glib-1-dev,
               desktop-file-utils,
               valgrind [amd64 i386]
Standards-Version: 3.9.8
Vcs-Git: https://salsa.debian.org/debian/kerneloops -b debian/master
Vcs-Browser: https://salsa.debian.org/debian/kerneloops.git
Homepage: http://oops.kernel.org/

Package: kerneloops
Architecture: linux-any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         lsb-base
Pre-Depends: ${misc:Pre-Depends}
Suggests: kerneloops-applet
Breaks: kerneloops-daemon (<< 0.12+git20140509-2)
Replaces: kerneloops-daemon (<< 0.12+git20140509-2)
Description: kernel oops tracker
 kerneloops is a daemon that collects kernel crash information and then
 submits the extracted signature to the oops.kernel.org website for
 statistical analysis and presentation to the Linux kernel developers.

Package: kerneloops-applet
Architecture: linux-any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         kerneloops (= ${binary:Version})
Breaks: kerneloops (<< 0.12+git20090217-2)
Replaces: kerneloops (<< 0.12+git20090217-2)
Description: applet for the kernel oops tracker
 The kerneloops applet allows the kerneloops crash reporting utility
 to ask a desktop user for permission before submitting an oops report
 to the oops.kernel.org website.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/dpkg/architecture.mk
export PKG_CONFIG=$(DEB_HOST_GNU_TYPE)-pkg-config

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# This has to be exported to make some magic below work.
export DH_OPTIONS

%:
	dh $@

override_dh_auto_install:
	dh_auto_install
	mv $(CURDIR)/debian/tmp/etc/dbus-1/system.d/kerneloops.dbus \
		$(CURDIR)/debian/tmp/etc/dbus-1/system.d/kerneloops.conf

override_dh_auto_test:
	$(MAKE) tests
